Skip to main content
GET
/
Payment
/
CardPaymentMethods
/
{registrationId}
List saved card payment methods
curl --request GET \
  --url https://api.trysynch.com/Payment/CardPaymentMethods/{registrationId} \
  --header 'Authorization: Bearer <token>'
{
  "registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentMethods": [
    {
      "id": "<string>",
      "type": "<string>",
      "brand": "<string>",
      "last4": "<string>",
      "expMonth": 123,
      "expYear": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Path Parameters

registrationId
string<uuid>
required

Query Parameters

companyId
string<uuid>
companyReferenceId
string

Response

OK

registrationId
string<uuid>
paymentMethods
object[]
Last modified on June 2, 2026